<template>
  <div class="articleCard">
    <p class="py-1 text-xl italic text-grey">{{ post.date }}</p>
    <h3 @click="goToPost()"
        class="title text-4xl sm:text-3xl mt-2 cursor-pointer text-left">
      {{ post.title }}
    </h3>
    <p class="py-2 text-xl leading-normal"
       v-if="post.desc">{{ post.desc }}</p>
  </div>
</template>

<script>
export default {
  name: 'articleCard',
  props: ['post'],
  methods: {
    goToPost: function() {
      this.$router.push('/blog/' + this.post.slug)
    }
  }
}
</script>
